Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026345
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2014-04-23 14:442014-09-08 12:04
ReporterjonalegriaesarteView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision74fe7fe43d4b
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojonalegriaesarte
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026345: the warehouse does not fit with the organization in the Sales order window

DescriptionAfter changing the Organization in the sales order window, the warehouse does not change accordingly.
Steps To ReproduceAs Group Admin role,
 Go to Sales order window,
   create a new header. Organization: España Región Norte
    Check that the warehouse is: España Región Norte

Change the organization: F&B US west Coast
   Realise that the warehouse still is España Región Norte, but it should be west Coast

We should think in a complete check because it is suppossed to happen in the whole ERP
TagsNo tags attached.
Attached Filesdiff file icon 26345.diff [^] (3,162 bytes) 2014-05-08 02:25 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00258933.0PR14Q3 closedpramakrishnan the warehouse does not fit with the organization in the Return Material receipt window 

-  Notes
(0067012)
caristu (developer)
2014-05-08 01:24

Attached possible fix
(0067185)
hgbot (developer)
2014-05-15 22:44

Repository: erp/devel/pi
Changeset: 74fe7fe43d4b178ab07b67c27d0808eda9341eb9
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu May 15 16:55:54 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/74fe7fe43d4b178ab07b67c27d0808eda9341eb9 [^]

fixes issue 26345: the warehouse does not fit with the organization
 in the Sales Order window

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src/org/openbravo/erpCommon/ad_callouts/SE_Order_Organization.java
---
(0067192)
hudsonbot (developer)
2014-05-16 07:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/649d0b7eba54 [^]
Maturity status: Test
(0067208)
RenateNieuwkoop (developer)
2014-05-16 10:35

Please also check project and service management: After having invoiceable expenses and running the 'Create Sales Order from Expenses', there was an error for the warehouse and the warehouse on the sales order was a Spanish warehouse although the organization was US. After changing the warehouse to a US one, it still gives me an error - see screenshot.
(0067454)
jonalegriaesarte (reporter)
2014-05-26 14:37

Verfied and working fine for that window

- Issue History
Date Modified Username Field Change
2014-04-23 14:44 jonalegriaesarte New Issue
2014-04-23 14:44 jonalegriaesarte Assigned To => pramakrishnan
2014-04-23 14:44 jonalegriaesarte Modules => Core
2014-04-23 14:44 jonalegriaesarte Triggers an Emergency Pack => No
2014-04-23 14:44 jonalegriaesarte Relationship added related to 0025893
2014-05-08 01:24 caristu Note Added: 0067012
2014-05-08 01:26 caristu File Added: 26345.diff
2014-05-08 02:25 caristu File Deleted: 26345.diff
2014-05-08 02:25 caristu File Added: 26345.diff
2014-05-15 22:44 caristu Assigned To pramakrishnan => caristu
2014-05-15 22:44 hgbot Checkin
2014-05-15 22:44 hgbot Note Added: 0067185
2014-05-15 22:44 hgbot Status new => resolved
2014-05-15 22:44 hgbot Resolution open => fixed
2014-05-15 22:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/74fe7fe43d4b178ab07b67c27d0808eda9341eb9 [^]
2014-05-16 07:19 hudsonbot Checkin
2014-05-16 07:19 hudsonbot Note Added: 0067192
2014-05-16 10:35 RenateNieuwkoop Note Added: 0067208
2014-05-26 14:37 jonalegriaesarte Review Assigned To => jonalegriaesarte
2014-05-26 14:37 jonalegriaesarte Note Added: 0067454
2014-05-26 14:37 jonalegriaesarte Status resolved => closed
2014-05-26 14:37 jonalegriaesarte Fixed in Version => PR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker